curl --request GET \
--url https://api.eliteprospects.com/v1/games/leagues \
--header 'X-Api-Key: <api-key>'import requests
url = "https://api.eliteprospects.com/v1/games/leagues"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.eliteprospects.com/v1/games/leagues', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"_meta": {
"generatedAt": "<string>",
"offset": 123,
"limit": 123,
"totalRecords": 123
},
"_links": {
"first": "<string>",
"last": "<string>",
"prev": "<string>",
"next": "<string>"
},
"data": [
{
"slug": "<string>",
"name": "<string>",
"fullName": "<string>",
"commonName": "<string>",
"teamClass": "men",
"leagueType": "<string>",
"leagueLevel": "<string>",
"scheduleType": "default",
"defaultSeason": {
"slug": "<string>",
"startYear": 123,
"endYear": 123
},
"activeSeason": {
"slug": "<string>",
"startYear": 123,
"endYear": 123
},
"country": {
"slug": "<string>",
"name": "<string>",
"iso_3166_1_alpha_2": "<string>",
"flagUrl": {
"small": "<string>",
"medium": "<string>"
},
"eliteprospectsUrlPath": "<string>",
"updatedAt": "<string>",
"_links": [
"<string>"
]
},
"continent": "INT",
"region": "<string>",
"flagUrl": {
"small": "<string>",
"medium": "<string>"
},
"logo": {
"url": "<string>",
"colors": [
"<string>"
],
"hasTransparency": true
},
"logoUrl": "<string>",
"imageUrl": "<string>",
"numberOfTeams": 123,
"primaryDraftType": {
"slug": "<string>",
"name": "<string>",
"league": "<unknown>",
"_links": [
"<string>"
],
"eliteprospectsUrlPath": "<string>"
},
"existsInLeagueEndpoint": true,
"hasProjectedStats": true,
"historicalData": [
{
"slug": "<string>",
"name": "<string>",
"fullName": "<string>",
"firstSeason": {
"slug": "<string>",
"startYear": 123,
"endYear": 123
},
"lastSeason": {
"slug": "<string>",
"startYear": 123,
"endYear": 123
}
}
],
"links": {
"eliteprospectsUrl": "<string>",
"officialWebUrl": "<string>",
"statsUrl": "<string>",
"newsUrls": [
"<string>"
],
"forumUrl": "<string>",
"facebook": "<string>",
"x": "<string>",
"twitter": "<string>",
"instagram": "<string>",
"youtube": "<string>"
},
"eliteprospectsUrlPath": "<string>",
"updatedAt": "<string>",
"_links": [
"<string>"
]
}
]
}Leagues in games
Leagues the games matching the filter were played in. Use it to build a league filter for the game list. Use the fields parameter to customize response fields.
Authorizations
Query Parameters
Specify custom response with available response fields.
Fields included as default: id, slug, name, fullName, commonName, teamClass, leagueType, leagueLevel, scheduleType, country, continent, region, flagUrl, logo, logoUrl, imageUrl, numberOfTeams, primaryDraftType, existsInLeagueEndpoint, links, eliteprospectsUrlPath, updatedAt, _links
id, slug, name, fullName, commonName, teamClass, leagueType, leagueLevel, scheduleType, country, continent, region, flagUrl, logo, logoUrl, imageUrl, numberOfTeams, primaryDraftType, existsInLeagueEndpoint, links, eliteprospectsUrlPath, updatedAt, _links, country.*, flagUrl.*, logo.*, primaryDraftType.*, links.*, * The number of items to skip before starting to collect the result set.
x >= 0The number of items to return.
0 <= x <= 1000Sort results by field name. Prefix with - for descending order (e.g., -name).
name, -name, country, -country, updatedAt, -updatedAt Filter by id
Filter by league slug
Filter by season slug
Filter by seasonType
PRESEASON, REGULAR_SEASON, POSTSEASON Filter by dateTime greater or equal to in ISO-8601 format for date and time
Filter by dateTime less than or equal to in ISO-8601 format for date and time
Filter by date greater or equal to in ISO-8601 format for date
Filter by date less than or equal to in ISO-8601 format for date
Filter by homeTeam
Filter by visitingTeam
Filter by team ID
Filter by status
UPCOMING, COMPLETED, POSTPONED Filter by status not equal to
UPCOMING, COMPLETED, POSTPONED Filter by createdAt greater or equal to in ISO-8601 format for date and time
Filter by updatedAt greater or equal to in ISO-8601 format for date and time